/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/
body{
	font-family: "Bricolage Grotesque";
	overflow-x: hidden;
	background-color: #fdf8f1;
}
.link_underline-animated:after{
	content: '';
	background-color: var(--bricks-color-hpsakp);
	width: 0;
    height: 2px;
    position: absolute;
    inset: auto 0% 0%;
    overflow: hidden;
	transition: all 0.4s ease;
}
.link_underline-animated:hover:after{
	width: 100%;
	transition: all 0.3s ease;
}
.button-animation,
.button-animation:hover{
	transition: all 0.3s ease;
}
.button-animation i{
	width: 0;
   opacity: 0;
	visibility: hidden;
/*     display: none; */
	transform: translatex(-10px);
	transition: all 0.3s ease;
}
.button-animation:hover i{
	width: auto;
   opacity: 1;
	visibility: visible;
/*     display: block;  */
	transform: translatex(0px);
	transition: all 0.3s ease;
}
.button-animation{
	gap: 0 !important;
}
.button-animation:hover{
	gap: 10px !important;
}
.text-slide {
  animation: slideUp 8s infinite;
	 animation-timing-function: ease-in-out;
}
@keyframes slideUp {

  /* 1st text (pause) */
  0%   { transform: translateY(0); }
  15%  { transform: translateY(0); }

  /* Slide to 2 */
  20%  { transform: translateY(-100px); }
  35%  { transform: translateY(-100px); }

  /* Slide to 3 */
  40%  { transform: translateY(-200px); }
  55%  { transform: translateY(-200px); }

  /* Slide to 4 */
  60%  { transform: translateY(-300px); }
  75%  { transform: translateY(-300px); }

  /* Slide to duplicate 1 (seamless loop) */
  80%  { transform: translateY(-400px); }
  100% { transform: translateY(-400px); }
}

.marquee-track {
  animation: scroll 15s linear infinite;
}
@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}
.marquee-wrapper:hover .marquee-track {
	
	animation-duration: 50s;
/*   animation-play-state: paused; */
}
.bg-custom {
	backdrop-filter: blur(16px);
}
.services-box:hover img{
	transform: scale(1.1);
	transition: all 0.4s ease;
}
.services-box img{
	transition: all 0.4s ease;
}
#brxe-pnupxk > .tab-menu .tab-title.brx-open{
	background-color: var(--bricks-color-krasrh) !important;
}
#brx-tab-title-pnupxk-3 .brxe-iznhww{
	display: none;
}
.hover-transition{
	transition: all 0.4s ease;
}
.mobile-menu.brx-open {
/*   transform: translateX(0); */
	height: 100vh;
}
.mobile-menu{
	transition: height 0.4s ease;
}
.menu-overlay.brx-open {
  opacity: 1;
  pointer-events: auto;
}
.menu-overlay{
	 pointer-events: none;
  transition: .3s;
}
.brxe-post-navigation .prev-post {
	    display: none;
}

.brxe-post-navigation .next-post {
	    text-align: left;
    width: 100%;
    justify-content: left;
}

.brxe-post-navigation .next-post .content .title {
	    padding-top: 16px;
}

.brxe-post-navigation .next-post .swiper-button i {
	    display: none !important;

}

/* .service #brxe-xmvzoe .brxe-ybcxsl:nth-child(odd) .brxe-vfmrkv {
	flex-direction: row-reverse !important;
} */
.service .reverse-block-wrapper:nth-child(odd) .reverse-block{
	flex-direction: row-reverse;
}
.page-id-306 #brxe-vkcavn {
	background-color: #F2ECE5 ;
}

/* Remove default animation */
.brx-popup {
    animation: none !important;
}

/* Initial state */
.brx-popup.hide .brx-popup-content {
    transform: translateY(-120px) scale(0.98);
    opacity: 0;
    transition: 
        transform 0.6s cubic-bezier(0.22, 1, 0.36, 1),
        opacity 0.5s ease;
    will-change: transform, opacity;
}

/* Active state */
.brx-popup .brx-popup-content {
    transform: translateY(66px) scale(1);
    opacity: 1;
}

#brx-header {
	    z-index: 99999;
}

.close-menu-btn {
	display: none !important;
}

body.menu-open .close-menu-btn {
	display: block !important ;
}

body.menu-open .toggle-menu-btn {
	display: none !important;
}

.accordion-title-wrapper {
	outline: none !important;
	background: transparent !important;
}

#brxe-b00499.brx-has-megamenu .brx-dropdown-content [aria-current="page"] {
	background-color: transparent !important ;
}

@media (max-width: 478px) {
	.service .reverse-block-wrapper:nth-child(odd) .reverse-block {
		    flex-direction: column;
}
}
@media screen and (max-width: 1024px){
	.hero-heading{
		font-size: 80px !important;
    line-height: 80px !important;
	}
}
@media screen and (max-width: 767px){
	.hero-heading{
		font-size: 60px !important;
    line-height: 60px !important;
	}
}